Subject: bug#64593: ‘guix system image’ fails to create image while invoking ‘grub-bios-setup’

From: Ludovic Courtès <[email-masked]>
Date: Mon, 07 Aug 2023 09:35:36 +0200

Hi,

Josselin Poiret <[email-masked]> skribis:

> Sergey Trofimov <[email-masked]> writes:
>
>> shouldn't it be `(bootloader grub-efi-bootloader)` if you're 
>> building a `efi-raw` image?
>> With efi grub it builds and boots just fine, as I've tested before 
>> submitting the patch.
>
> I think I agree with you that you should expect efi images to use efi
> bootloaders.  The efi-raw image name is a bit misleading I would argue,
> since the image type doesn't decide what bootloader is used, and using a
> BIOS bootloader with an efi image seems a bit weird.  The fact that it's
> used as the default image type is a bit troubling though, so we could
> add a new default image type that uses MBR, so that BIOS bootloaders
> work with it.

Yes, we could do that.

I guess my confusion stems from the fact that the default image type
changed to EFI recently (right?).

Thanks,
Ludo’.